#!/usr/bin/perl
# Copyright (C) 2002  Martin Michlmayr <tbm@cyrius.com>
# This script may be distributed under the GPL.

sub check_dir($) {
    my($dir) = @_;
    print "Checking dir $dir ...\n";
    opendir(DIR, "$dir") || die "Cannot open dir $dir: $!";
    my($needs_fix) = 0;
    foreach (readdir(DIR)) {
        next if /^\.+$/;
        $path = "$dir/$_";
        check_dir($path) if -d $path;
        # Check if an OGG file is broken
        if (/\.ogg$/) {
            my $status = `ogginfo "$path" | grep "^Warning: "`;
            $needs_fix = 1 if $status;
        }
    }
    if ($needs_fix) {
        print "Fixing $dir ...\n";
        `cd "$dir" ; jack -R`;
    } else {
        print "Directory $dir is ok.\n";
    }
    closedir(DIR);
}

check_dir(".");

